// Volume with hole - Meshing error

Mesh.Algorithm = 1;
Mesh.Algorithm3D = 1;

lc1 = 0.02;
Point(1) = { 0.6,  0.6, 0, lc1};
Point(2) = {-0.6,  0.6, 0, lc1};
Point(3) = {-0.6, -0.6, 0, lc1};
Point(4) = { 0.6, -0.6, 0, lc1};
Point(5) = {-0.435, -0.435, 0, lc1};
Point(6) = {-0.435,  0.05209, 0, lc1};
Point(7) = { 0.435,  0.05209, 0, lc1};
Point(8) = { 0.435, -0.435, 0, lc1};
Point(9) = { 0.6,   0.6, 1.7E-3, lc1};
Point(10) = {-0.6,  0.6, 1.7E-3, lc1};
Point(11) = {-0.6, -0.6, 1.7E-3, lc1};
Point(12) = { 0.6, -0.6, 1.7E-3, lc1};
Point(13) = {-0.435, -0.435, 1.7E-3, lc1};
Point(14) = {-0.435,  0.05209, 1.7E-3, lc1};
Point(15) = { 0.435,  0.05209, 1.7E-3, lc1};
Point(16) = { 0.435, -0.435, 1.7E-3, lc1};

Line(1) = {1, 2};
Line(2) = {2, 3};
Line(3) = {3, 4};
Line(4) = {4, 1};
Line(5) = {5, 6};
Line(6) = {6, 7};
Line(7) = {7, 8};
Line(8) = {8, 5};
Line(9) = {9, 10};
Line(10) = {10, 11};
Line(11) = {11, 12};
Line(12) = {12, 9};
Line(13) = {13, 14};
Line(14) = {14, 15};
Line(15) = {15, 16};
Line(16) = {16, 13};
Line(17) = {1, 9};
Line(18) = {2, 10};
Line(19) = {3, 11};
Line(20) = {4, 12};
Line(21) = {5, 13};
Line(22) = {6, 14};
Line(23) = {7, 15};
Line(24) = {8, 16};

// Bottom Surface
Line Loop(33) = {1, 2, 3, 4};
// Bottom Hole
Line Loop(34) = {5, 6, 7, 8};
// Top Surface
Line Loop(35) = {9, 10, 11, 12};
// Top Hole
Line Loop(36) = {13, 14, 15, 16};

Line Loop(37) = {1, 18, -9, -17};
Line Loop(38) = {2, 19, -10, -18};
Line Loop(39) = {3, 20, -11, -19};
Line Loop(40) = {4, 17, -12, -20};
Line Loop(41) = {5, 22, -13, -21};
Line Loop(42) = {6, 23, -14, -22};
Line Loop(43) = {7, 24, -15, -23};
Line Loop(44) = {8, 21, -16, -24};

// Bottom Surface with hole
Plane Surface(1) = {-33, 34};
// Top Surface with hole
Plane Surface(2) = {35, -36};

Plane Surface(3) = {37};
Plane Surface(4) = {38};
Plane Surface(5) = {39};
Plane Surface(6) = {40};
Plane Surface(7) = {41};
Plane Surface(8) = {42};
Plane Surface(9) = {43};
Plane Surface(10) = {44};

Surface Loop(13) = {1, 2, 3, 4, 5, 6, 7, 8, 9, 10};
Volume(1) = {13};
